aagc.vo

## Class PropostaAccessoResponse

- java.lang.Object
- - aagc.vo.PropostaAccessoResponse

-     public class PropostaAccessoResponse
      extends java.lang.Object

  Classe Java per propostaAccessoResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="propostaAccessoResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="dataProposta">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="idProposta">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="assistibile" type="{www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/}assistibileResponse"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssistibileResponse` | `assistibile`
    `protected java.lang.String` | `dataProposta`
    `protected java.lang.String` | `idProposta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropostaAccessoResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistibileResponse` | `getAssistibile()` Recupera il valore della proprietà assistibile.
    `java.lang.String` | `getDataProposta()` Recupera il valore della proprietà dataProposta.
    `java.lang.String` | `getIdProposta()` Recupera il valore della proprietà idProposta.
    `void` | `setAssistibile(AssistibileResponse value)` Imposta il valore della proprietà assistibile.
    `void` | `setDataProposta(java.lang.String value)` Imposta il valore della proprietà dataProposta.
    `void` | `setIdProposta(java.lang.String value)` Imposta il valore della proprietà idProposta.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataProposta

          protected java.lang.String dataProposta

    - #### idProposta

          protected java.lang.String idProposta

    - #### assistibile

          protected AssistibileResponse assistibile

  - ### Constructor Detail

    - #### PropostaAccessoResponse

          public PropostaAccessoResponse()

  - ### Method Detail

    - #### getDataProposta

          public java.lang.String getDataProposta()

      Recupera il valore della proprietà dataProposta.
      Returns:
        possible object is `String`

    - #### setDataProposta

          public void setDataProposta(java.lang.String value)

      Imposta il valore della proprietà dataProposta.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdProposta

          public java.lang.String getIdProposta()

      Recupera il valore della proprietà idProposta.
      Returns:
        possible object is `String`

    - #### setIdProposta

          public void setIdProposta(java.lang.String value)

      Imposta il valore della proprietà idProposta.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssistibile

          public AssistibileResponse getAssistibile()

      Recupera il valore della proprietà assistibile.
      Returns:
        possible object is `AssistibileResponse`

    - #### setAssistibile

          public void setAssistibile(AssistibileResponse value)

      Imposta il valore della proprietà assistibile.
      Parameters:
        `value` - allowed object is `AssistibileResponse`